
package com.tmerclub.cloud.order.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.format.DateTimeFormat;

import java.io.Serial;
import java.io.Serializable;

/**
 * 订单excel信息
 *
 * @author lhd
 * @date 2022-7-8
 */
public class PurchaseOrderInboundExcelVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * excel 信息 "商品编号", "商品名称", "预计入库量", "剩余入库量", "实际入库量
     */
    public static final String EXCEL_NAME = "入库商品信息";
    /**
     * 哪一行开始导出
     */
    public static final int MERGE_ROW_INDEX = 2;
    /**
     * 需要合并的列数组
     */
    public static final int[] MERGE_COLUMN_INDEX = {};

    @ExcelProperty(value = {"商品信息", "序号"}, index = 0)
    private String seq;

    @DateTimeFormat("yyyy-MM-dd HH:mm:ss")
    @ExcelProperty(value = {"商品信息", "商品编号"}, index = 1)
    private String partyCode;

    @ExcelProperty(value = {"商品信息", "商品名称"}, index = 2)
    private String spuName;

    @ExcelProperty(value = {"商品信息", "预计入库量"}, index = 3)
    private Integer purchaseStock;

    @ExcelProperty(value = {"商品信息", "剩余入库量"}, index = 4)
    private Integer actualStock;

    @ExcelProperty(value = {"商品信息", "实际入库量"}, index = 5)
    private Integer beDeliveredNum;

    public String getSeq() {
        return seq;
    }

    public void setSeq(String seq) {
        this.seq = seq;
    }

    public String getPartyCode() {
        return partyCode;
    }

    public void setPartyCode(String partyCode) {
        this.partyCode = partyCode;
    }

    public String getSpuName() {
        return spuName;
    }

    public void setSpuName(String spuName) {
        this.spuName = spuName;
    }

    public Integer getPurchaseStock() {
        return purchaseStock;
    }

    public void setPurchaseStock(Integer purchaseStock) {
        this.purchaseStock = purchaseStock;
    }

    public Integer getBeDeliveredNum() {
        return beDeliveredNum;
    }

    public void setBeDeliveredNum(Integer beDeliveredNum) {
        this.beDeliveredNum = beDeliveredNum;
    }

    public Integer getActualStock() {
        return actualStock;
    }

    public void setActualStock(Integer actualStock) {
        this.actualStock = actualStock;
    }

    @Override
    public String toString() {
        return "PurchaseOrderInboundExcelVO{" +
                "seq='" + seq + '\'' +
                ", partyCode='" + partyCode + '\'' +
                ", spuName='" + spuName + '\'' +
                ", purchaseStock='" + purchaseStock + '\'' +
                ", beDeliveredNum=" + beDeliveredNum +
                ", actualStock='" + actualStock + '\'' +
                '}';
    }
}
